#include <stdio.h>
#include <stdlib.h>
typedef struct list{
	int x; 
	struct list *next;
} List;
/* inserding in order */
List* add(List* head, List* new)
{
	List *oldHead = head;
	if(head==NULL)/*empty list*/
		return new;
	if((*new).x<(*head).x){/*new<head*/
		(*new).next=head;
		return new;
	}
	while((*(*head).next).x<(*new).x)/*new inserted in the middle of the list*/
		head=(*head).next;
	new->next=head->next;
	head->next=new;
	return oldHead;
}
/*free entire list*/
void clean(List* head){
List* tmp = head;
while(head->next!=NULL)
{
	tmp=head;
	head=head->next;
	free(tmp);
}
}

/*print list*/
void print(List* head){

while(head->next!=NULL){
	printf("%d,", head->x);
	head=(*head).next;
	}
}
int main(){
int n;
int in;
List* head;

printf("Please enter the number of values: ");
scanf("%d", &n);
for(n;n>0;n--){
	List* new;
	scanf("%d", &in);
	new = (List*)malloc(sizeof(List));
	new->x=in;
	new->next=NULL;
	head=add(head,new);
}
print(head);
clean(head);
}
